LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XSheetConditionalEntry Interface Referencepublished

provides methods to access the cell style name for a condition in a conditional format. More...

`import"XSheetConditionalEntry.idl";`

Inheritance diagram for XSheetConditionalEntry:

## Public Member Functions
string | getStyleName ()
| returns the name of the cell style that is used when the condition is fulfilled. More...
void | setStyleName ([in] string aStyleName)
| sets the name of the cell style that is used when the condition is fulfilled. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides methods to access the cell style name for a condition in a conditional format.

See also
  com::sun::star::sheet::TableConditionalEntry

## Member Function Documentation

## ◆ getStyleName()

string getStyleName | ( |  | ) |

returns the name of the cell style that is used when the condition is fulfilled.

## ◆ setStyleName()

void setStyleName | ( | [in] string | aStyleName | ) |

sets the name of the cell style that is used when the condition is fulfilled.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetConditionalEntry.idl